OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class TypedLinkedList.TypedLinkedListIterator

    java.lang.Object
      org.opennms.netmgt.filter.node.TypedLinkedList.TypedLinkedListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  TypedLinkedList

private class TypedLinkedList.TypedLinkedListIterator
extends java.lang.Object
implements java.util.ListIterator

Field Summary
`(package private) java.util.ListIterator` `iterator`

Constructor Summary
`(package private)` `TypedLinkedList.TypedLinkedListIterator(java.util.ListIterator iterator)`

Method Summary
`void` `add(java.lang.Object o)`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.Object` `next()`
`int` `nextIndex()`
`java.lang.Object` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    java.util.ListIterator iterator

Constructor Detail

### TypedLinkedList.TypedLinkedListIterator

    TypedLinkedList.TypedLinkedListIterator(java.util.ListIterator iterator)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.ListIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.